EMF::EMRRESTOREDC(3)

NAME
EMF::EMRRESTOREDC - EMF Restore DC.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRRESTOREDC.

  Public Member Functions

EMRRESTOREDC (INT n)
EMRRESTOREDC (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Restore DC.

Use the stored device context in this context(?)

Constructor & Destructor Documentation

  EMF::EMRRESTOREDC::EMRRESTOREDC (INT n) [inline]
Create a Restore DC record.

  EMF::EMRRESTOREDC::EMRRESTOREDC (DATASTREAM & ds) [inline]
Construct an Restoredc record from the input stream.

Parameters:
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRRESTOREDC::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRRESTOREDC::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRRESTOREDC::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.